Skip to main content
GET
/
rewards
/
addresses
List reward addresses
curl --request GET \
  --url https://api.example.com/rewards/addresses \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "ledger": "ETHEREUM",
      "address": "<string>",
      "name": "<string>",
      "payout_group_id": "<string>",
      "balance": "<string>",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_cursor": "<string>"
}
OAuth Scope
rewards:read_monitoring_address

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

limit
integer<int32>
customer_id
string

Optional for public API - extracted from auth context if not provided.

ledger
enum<string>
Available options:
ETHEREUM,
SOLANA,
INK,
XLAYER,
ARBITRUM_ONE
address
string
order
enum<string>

Optional, sort order for results based on created_at. The default sort order is DESC.

Available options:
DESC,
ASC
page_cursor
string

Optional, cursor token for fetching the next page.

id
string

Optional, address id.

payout_group_id
string

Optional, filter by payout group.

include_balance
boolean

When true, fetch and include balance for each address.

balance_timestamp
string<date-time>

Point-in-time for balance query (optional, defaults to now).

Response

200 - application/json

A successful response.

items
All data associated with an attribution address · object[]

Monitored addresses in this page of results.

next_page_cursor
string

Token for the next page of results; empty if no more results.